package libnet-daemon-perl 0.38-1.1 failed to install/upgrade: package libnet-daemon-perl is already installed and configured

Bug #328728 reported by neverlander on 2009-02-12
8
Affects Status Importance Assigned to Milestone
ufw (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: libnet-daemon-perl

data in update manager seemed to detect a crash when updating system

ProblemType: Package
Architecture: i386
DistroRelease: Ubuntu 8.10
ErrorMessage: package libnet-daemon-perl is already installed and configured
NonfreeKernelModules: nvidia
Package: libnet-daemon-perl 0.38-1.1
PackageArchitecture: all
SourcePackage: libnet-daemon-perl
Title: package libnet-daemon-perl 0.38-1.1 failed to install/upgrade: package libnet-daemon-perl is already installed and configured
Uname: Linux 2.6.27-11-generic i686

Related branches

neverlander (craigspost) wrote :
Michael Vogt (mvo) wrote :

...
Processing triggers for ufw ...
dpkg: subprocess post-installation script killed by signal (Broken pipe)
Log ended: 2009-02-12 17:38:24

The ufw failure seems to cause the following dpkg bug #32389. I reassign to ufw so that we can figure out why the trigger fails.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ufw - 0.27~r416-0ubuntu1

---------------
ufw (0.27~r416-0ubuntu1) jaunty; urgency=low

  * new upstream release
    - don't do symlink check anymore (LP: #317700)
    - don't do hidden file check anymore (LP: #319226)
    - add insert rule support (LP: #260745)
    - clear up status output (LP: #262975)
    - add log level support
    - add per rule logging
  * debian/ufw.init: use mountall for Required-Start rather than mountall.sh
  * added allow_custom_ports debconf option
  * debian/postinst: don't exit on ufw error
  * ship debian/sysctl.conf instead of upstream. This file now only lists
    settings that do are non-default in Ubuntu
  * adjust initscript to tell it is using /etc/ufw/sysctl.conf
  * debian/*md5sums: updated for new upstream defaults
  * debian/config: update has_existing() to also check old md5sums
  * debian/postinst: don't error out when processing triggers, as this causes
    dpkg errors (LP: #270285, #328728)

 -- Jamie Strandboge <email address hidden> Wed, 18 Feb 2009 16:53:15 -0600

Changed in ufw:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers